ipa-test-task(1)

NAME
ipa-test-task - Run a task for FreeIPA testing

SYNOPSIS
ipa-test-task -h
ipa-test-task [global-options] TASK [task-options]

DESCRIPTION
Run a task using FreeIPA integration testing configuration. This tool is meant for use in scripts that test FreeIPA functionality. See ipa-test-config(1) for FreeIPA integration test configuration. This tool should never be run in a production environment. It is not designed with security in mind.

GLOBAL OPTIONS

-h, --help
    Print out the command's usage and exit. If given after a subcommand, prints that subcommand's usage message.

--with-beakerlib
    Enable BeakerLib integration. Log messages are reported via beakerlib(1) commands. This option requires an active BeakerLib phase.

SUBCOMMANDS

ipa-test-task install-master [--host HOST]
    Install an initial IPA server on the given host, or on the configured master if --host is not given.

ipa-test-task install-replica [--master MASTER] HOST
    Install an IPA replica on the given host. It is initialized from the IPA server given by --master, or from the configured master if --master is not given.

ipa-test-task install-client [--master MASTER] HOST
    Install an IPA client on the given host. It is initialized from the IPA server given by --master, or from the configured master if --master is not given.

ipa-test-task connect-replica HOST1 HOST2
    Create a replication agreement between two given replicas.

ipa-test-task disconnect-replica HOST1 HOST2
    Remove a replication agreement between two given replicas.

ipa-test-task uninstall-server [HOST [HOST ...]]
    Uninstall an IPA server (master or replica) on the given host(s), and restore the host(s) to the state before installation. If no host is given, uninstalls all configured masters and replicas. If no server is installed on a host, does nothing on that host.

ipa-test-task uninstall-client [HOST [HOST ...]]
    Uninstall an IPA client on the given host(s), and restore the host(s) to the state before installation. If no host is given, uninstalls all configured clients. If no client is installed on a host, does nothing on that host.

ipa-test-task uninstall-all
    Uninstall IPA from all configured master, replica and client hosts. Equivalent to running uninstall-server and uninstall-client without arguments.

ipa-test-task cleanup [HOST [HOST ...]]
    Restore system configuration (such as /etc/resolv.conf) on the given hosts to a state before installation. If no hosts are given, clean up all configured hosts. This functionality is included in the uninstall-* subcommands and is rarely useful alone.

ipa-test-task install-topo [--skip-master] [--skip-clients] [--master M] [--replicas R1 [R2...]] [--clients C1 [C2 ...]] TOPO
    Install a number of FreeIPA servers and clients in the given topology. Use the list-topos subcommand for a list of available topologies. Unless --skip-master is given, an initial server is installed on the host given by --master, or on the configured master if --master is missing. Replicas are installed according to the selected topology on hosts given by --replicas, or on all configured replicas if that option is not given. Unless --skip-clients is given, clients are installed on hosts given by --clients, or on all configured clients if --clients is not given. Servers used for client installation are selected in a round-robin fashion.

ipa-test-task list-topos
    List the topologies available for the install-topo subcommand.

ipa-test-task install-adtrust HOST
    Run ipa-adtrust-install on the IPA and generate SIDs for the entries in IPA.

ipa-test-task configure-dns-for-trust HOST AD
    Based on the relationship of the domains configures the IPA DNS for trust. AD DNS needs to be setup manually.

ipa-test-task establish-trust-with-ad HOST AD
    Establishes trust with Active Directory. Trust type is detected depending on the presence of SfU (Services for Unix) support on the AD.

ipa-test-task remove-trust-with-ad HOST AD
    Removes trust with Active Directory. Also removes the associated ID range.

ipa-test-task configure-auth-to-local-rule HOST AD
    Configures auth_to_local rule in /etc/krb5.conf

ipa-test-task clear-sssd-cache HOST
    Clears SSSD cache by removing the cache files. Restarts SSSD.

ipa-test-task setup-sssd-debugging HOST
    Sets up SSSD debugging. Restarts SSSD.

ipa-test-task sync-time HOST SERVER
    Syncs the time with the remote server. Please note that this function leaves chronyd stopped.

ipa-test-task add-a-records-in-master-domain MASTER
    Adds A records to the IPA master for all the hosts in the master domain.

ipa-test-task add-a-record MASTER HOST
    Adds an A record for the host to the IPA master.

EXIT STATUS
0 if the command was successful nonzero if an error occurred

REFERENCES
A full description of the FreeIPA integration testing framework is available at http://www.freeipa.org/page/V3/Integration_testing